# This file is part of Xpra.
# Copyright (C) 2013 Serviware (Arthur Huillet, <ahuillet@serviware.com>)
# Copyright (C) 2012-2014 Antoine Martin <antoine@devloop.org.uk>
# Xpra is released under the terms of the GNU GPL v2, or, at your option, any
# later version. See the file COPYING for details.

from gtk import gdk
assert gdk
from gtk import gtkgl         #@UnresolvedImport
assert gtkgl is not None

from xpra.log import Logger
log = Logger("opengl", "paint")

from xpra.client.gl.gl_window_backing_base import GLWindowBackingBase


"""
This is the gtk2 pygtkglext version.
"""
class GLPixmapBacking(GLWindowBackingBase):

    def init_backing(self):
        GLWindowBackingBase.init_backing(self)
        self._backing.connect("expose_event", self.gl_expose_event)

    def __repr__(self):
        return "gtk2."+GLWindowBackingBase.__repr__(self)

    def get_gl_drawable(self):
        return gtkgl.widget_get_gl_drawable(self._backing)

    def gl_expose_event(self, glarea, event):
        if not self.paint_screen:
            return
        context = self.gl_context()
        log("%s.gl_expose_event(%s, %s) context=%s", self, glarea, event, context)
        if not context:
            return
        with context:
            self.gl_init()
            w, h = self.size
            self.present_fbo("expose", False, 0, 0, w, h)
